Subject: Performance degradation on 2.6.25 kernels for http servers

From: Ben Greear <[email-masked]>
Date: Wed, 23 Jul 2008 13:37:30 -0700

We noticed something strange today.

We have a test that launches 10 http clients that request a small
URL over and over again.  Keep-alive is enabled on clients and
apache.

When using a 2.6.24 or earlier kernel on the web server, we get around
1200 urls per second completed on each of the 10 clients.  With 2.6.25 kernel
we get around 1000 urls per second completed.  In other words, about
a 20% degradation in connections per second.

We see the same affect when we use standard Fedora kernels as when
we use our own patched kernels.  We see similar degradations when using
FC5 and FC8, and 32-bit and 64-bit installs.  We see similar degradations
on different hardware systems.  We have only tried our modified kernels
and standard Fedora kernels at this time (no un-modified kernels from kernel.org).

It could still be something we are doing wrong, but if anyone
else has a similar test case, I'm curious to know if you see
similar degradations.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com